org.restlet.engine.security

## Class SmtpPlainHelper

- java.lang.Object
- - org.restlet.engine.Helper
  - - org.restlet.engine.security.AuthenticatorHelper
    - - org.restlet.engine.security.SmtpPlainHelper

    public class SmtpPlainHelper
    extends AuthenticatorHelper

Implements the SMTP PLAIN authentication.

Author:
  Jerome Louvel

### Constructor Summary

Constructors
Constructor and Description
`SmtpPlainHelper()` Constructor.

### Method Summary

Methods
`void` `formatRawResponse(ChallengeWriter cw, ChallengeResponse challenge, Request request, Series<Parameter> httpHeaders)` Formats a challenge response as raw credentials.

### Methods inherited from class org.restlet.engine.security.AuthenticatorHelper

`authenticate, challenge, formatRawRequest, formatRequest, formatResponse, formatSecret, getChallengeScheme, getLogger, isClientSide, isServerSide, parseRequest, parseResponse, setChallengeScheme, setClientSide, setServerSide`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SmtpPlainHelper

    public SmtpPlainHelper()

Constructor.

### Method Detail

#### formatRawResponse

    public void formatRawResponse(ChallengeWriter cw,
                         ChallengeResponse challenge,
                         Request request,
                         Series<Parameter> httpHeaders)

Description copied from class: `AuthenticatorHelper`
Formats a challenge response as raw credentials.

Overrides:
  `formatRawResponse` in class `AuthenticatorHelper`
Parameters:
  `cw` - The header writer to update.
  `challenge` - The challenge response to format.
  `request` - The parent request.
  `httpHeaders` - The current request HTTP headers.